%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Netload plugin for the Xfce panel
Summary(de):	Netzlasterweiterung für die Xfce-Leiste
Name:		xfce4-netload-plugin
Version:	1.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-netload-plugin/%{url_ver}/%{name}-%{version}.tar.xz
Requires:	xfce4-panel >= 4.7
BuildRequires:	xfce4-panel-devel >= 4.7
BuildRequires:	perl(XML::Parser)
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfce4ui-devel
Obsoletes:	xfce-netload-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A netload panel plugin for the Xfce Desktop Environment.

%description -l de
Ein Netzlasterweiterung für die Xfce Desktop-Umgebung

%prep
%setup -q

%build
%define Werror_cflags %nil
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README AUTHORS
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/netload.desktop
%{_iconsdir}/hicolor/*/apps/*.*g
%{_datadir}/locale/*


%changelog
* Sat Feb 11 2017 ghostbunny <ghostbunny at gmx dot de> 1.3.1-1pclos2017
- 1.3.1

* Mon Dec 26 2016 ghostbunny <ghostbunny at gmx dot de> 1.3.0-1pclos2017
- 1.3.0

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.2.3-2pclos2015
- rebuild against new libxfce4util7s

* Tue Nov 25 2014 ghostbunny <ghostbunny at gmx dot de> 1.2.3-1pclos2014
- 1.2.3
- replace BR libxfcegui4-devel by libxfce4ui-devel

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2012
- 1.2.0
- added german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.0-2pclos2012
- rebuild

* Fri Mar 04 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- import into plcos

